#### D.15.3.43 classpoly

Procedure from library `chern.lib` (see chern_lib).

Usage:
  classpoly(l, t); l list of polynomials, t polynomial

Return:
  polynomial

Purpose:
  computes the polynomial in t with coefficients being the entries of l

Note:

Example:

    LIB "chern.lib";
    ring r=0, (c(1..5), t), ds;
    list l=c(1..5);
    // get the polynomial c(1)*t + c(2)*t^2 + ... + c(5)*t^5
    print( classpoly(l, t) );
    ==> c(1)*t+c(2)*t^2+c(3)*t^3+c(4)*t^4+c(5)*t^5

User manual for Singular version 4-0-3, 2016, generated by texi2html.